Skip to main content
`Ctrl`+`K`

# VecISAXPY

Adds a reduced vector to the appropriate elements of a full-space vector. vfull[is[i]] += alpha*vreduced[i]

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecISAXPY(Vec vfull, IS is, PetscScalar alpha, Vec vreduced)

Logically Collective

## Input Parameters

- vfull - the full-space vector

- is - the index set for the reduced space

- alpha - the scalar coefficient

- vreduced - the reduced-space vector

## Output Parameter

- vfull - the sum of the full-space vector and reduced-space vector

## Notes

The index set identifies entries in the global vector. Negative indices are skipped; indices outside the ownership range of `vfull` will raise an error.

## See Also

`VecISCopy()`, `VecISSet()`, `VecAXPY()`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages